staqlydocs
REST APIAPI referenceChannels

The accounts a sign-in started from a connect link may publish as

The accounts a sign-in started from a connect link may publish as (no credentials)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/connect-links/{token}/pending/{id}

Path Parameters

token*string

The connect link's token

id*string

Response Body

OK

application/json
  1. response

A sign-in waiting for the person to pick which of its accounts become channels.

id*string
provider*string
accounts*array<>
expires_at*string
Formatdate-time
Example Request
curl -X GET 'https://staqly.example.com/v1/connect-links/string/pending/string'
Example Response
{  "id": "string",  "provider": "string",  "accounts": [    {      "id": "string",      "name": "string",      "handle": "string",      "avatar_url": "string",      "profile_url": "string"    }  ],  "expires_at": "2019-08-24T14:15:22Z"}